;/*******************************/;
;/* Demo Speaker For ET-EXP4    */;
;/* Files Name  : LAB5-EX6.ASM  */;
;/* CPU Control : 68HC811E2     */;
;/* Assembler   : AS11NEW.EXE   */;
;/*         (ON/OFF Relay)      */;
;/*******************************/;
;
;/* Port For Control Relay
PORT_OUT    EQU     $1004               ; Step,Relay,Spk (Port-B)
RELAY       EQU     %00010000           ; Port.4 = Relay Control

            ORG     $F800               ; Start Monitor of 68HC811E2
MAIN        LDS     #$FF                ; Stack = Last Internal RAM
            LDX     #PORT_OUT           ; Port Control Speaker
            CLR     PORT_OUT            ; OFF Step & Speaker Bit
            ;
LOOP        BSET    0,X RELAY           ; ON Relay
            JSR     DELAY
            BCLR    0,X RELAY           ; OFF Relay
            JSR     DELAY
            BRA     LOOP

;/**********************/;
;/* Delay Time 1Second */;
;/**********************/;
;
DELAY       PSHB                        ; Save Register
            PSHX
            LDAB    #100                ; 10mS x 100 = 1Second
DLY1        LDX     #$0D06              ; 10mS Count
DLY2        DEX
            BNE     DLY2
            DECB
            BNE     DLY1
            PULX                        ; Restore Register
            PULB
            RTS

            ORG     $FFFE               ; Reset Vector
            FDB     MAIN

            END

