;/*******************************/;
;/* Demo D/A Convert For ET-EXP4*/;
;/* Files Name  : LAB8-EX1.ASM  */;
;/* CPU Control : 68HC811E2     */;
;/* Assembler   : AS11NEW.EXE   */;
;/*   (Max,Middle,Min Output)   */;
;/*******************************/;
;
;/* Port For Control DAC
PORT_DAC    EQU     $1004               ; DAC Output (Port-B)

            ORG     $F800               ; Start Monitor of 68HC811E2
MAIN        LDS     #$FF                ; Stack = Last Internal RAM
            ;
LOOP        CLR     PORT_DAC            ; Min Output = 0V
            JSR     DELAY
            LDAA    #$7F                ; Middle = Max/2
            STAA    PORT_DAC
            JSR     DELAY
            LDAA    #$FF                ; Max Output
            STAA    PORT_DAC
            JSR     DELAY
            BRA     LOOP

;/**********************/;
;/* Delay Time 10Second */;
;/**********************/;
;
DELAY       PSHY                        ; Save Register
            PSHX
            LDY     #1000               ; 10mS x 1000 = 10 Second
DLY1        LDX     #$0D06              ; 10mS Count
DLY2        DEX
            BNE     DLY2
            DEY
            BNE     DLY1
            PULX                        ; Restore Register
            PULY
            RTS

            ORG     $FFFE               ; Reset Vector
            FDB     MAIN

            END

